Loading...
Searching...
No Matches
jni::NativePeerLambdaMethod< L, R(L::*)(JNIEnv &, P &, Args...) const > Class Template Reference

`#include <native_method.hpp>`

## Public Member Functions

| NativePeerLambdaMethod (const char *n, const L &l)
template<class Peer, class TagType, class = std::enable_if_t< std::is_same<P, Peer>::value >>
auto | operator() (const Field< TagType, jlong > &field)

## Constructor & Destructor Documentation

## NativePeerLambdaMethod()

template<class L, class R, class P, class... Args>

jni::NativePeerLambdaMethod< L, R(L::*)(JNIEnv &, P &, Args...) const >::NativePeerLambdaMethod | ( | const char * | n,
|  | const L & | l )

inline

## Member Function Documentation

## operator()()

template<class L, class R, class P, class... Args>
template<class Peer, class TagType, class = std::enable_if_t< std::is_same<P, Peer>::value >>

auto jni::NativePeerLambdaMethod< L, R(L::*)(JNIEnv &, P &, Args...) const >::operator() | ( | const Field< TagType, jlong > & | field | ) |

inline

The documentation for this class was generated from the following file:

- /build/lime-9DdzML/lime-5.3.105+dfsg/src/jni/native_method.hpp